Attach file to unit
POST
/v2/units/{serial_number}/attachmentsAuthorization
api_key AuthorizationBearer <token>
API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Path Parameters
serial_number*string
Serial number of the unit to attach the file to. Matched case-insensitively.
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/units/string/attachments" \ -H "Content-Type: application/json" \ -d '{ "name": "calibration_cert.pdf" }'{
"id": "550e8400-e29b-41d4-a716-446655440000",
"upload_url": "https://storage.example.com/org/file.pdf?X-Amz-Signature=abc123"
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Not found",
"code": "NOT_FOUND",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?